From dee8b9d98c9889a6ec540476a9af3e0f7595d344 Mon Sep 17 00:00:00 2001
From: Shlok Kyal <shlok.kyal.oss@gmail.com>
Date: Thu, 24 Apr 2025 12:29:58 +0530
Subject: [PATCH v1_HEAD] Fix spelling for file names

Rename files invalidation_distrubution.out and
invalidation_distrubution.spec to invalidation_distribution.out
and invalidation_distribution.spec.
---
 contrib/test_decoding/Makefile                                  | 2 +-
 ...alidation_distrubution.out => invalidation_distribution.out} | 0
 contrib/test_decoding/meson.build                               | 2 +-
 ...idation_distrubution.spec => invalidation_distribution.spec} | 0
 4 files changed, 2 insertions(+), 2 deletions(-)
 rename contrib/test_decoding/expected/{invalidation_distrubution.out => invalidation_distribution.out} (100%)
 rename contrib/test_decoding/specs/{invalidation_distrubution.spec => invalidation_distribution.spec} (100%)

diff --git a/contrib/test_decoding/Makefile b/contrib/test_decoding/Makefile
index eef70770674..02e961f4d31 100644
--- a/contrib/test_decoding/Makefile
+++ b/contrib/test_decoding/Makefile
@@ -9,7 +9,7 @@ REGRESS = ddl xact rewrite toast permissions decoding_in_xact \
 ISOLATION = mxact delayed_startup ondisk_startup concurrent_ddl_dml \
 	oldest_xmin snapshot_transfer subxact_without_top concurrent_stream \
 	twophase_snapshot slot_creation_error catalog_change_snapshot \
-	skip_snapshot_restore invalidation_distrubution
+	skip_snapshot_restore invalidation_distribution
 
 REGRESS_OPTS = --temp-config $(top_srcdir)/contrib/test_decoding/logical.conf
 ISOLATION_OPTS = --temp-config $(top_srcdir)/contrib/test_decoding/logical.conf
diff --git a/contrib/test_decoding/expected/invalidation_distrubution.out b/contrib/test_decoding/expected/invalidation_distribution.out
similarity index 100%
rename from contrib/test_decoding/expected/invalidation_distrubution.out
rename to contrib/test_decoding/expected/invalidation_distribution.out
diff --git a/contrib/test_decoding/meson.build b/contrib/test_decoding/meson.build
index d5f03fd5e9b..25f6b8a9082 100644
--- a/contrib/test_decoding/meson.build
+++ b/contrib/test_decoding/meson.build
@@ -63,7 +63,7 @@ tests += {
       'twophase_snapshot',
       'slot_creation_error',
       'skip_snapshot_restore',
-      'invalidation_distrubution',
+      'invalidation_distribution',
     ],
     'regress_args': [
       '--temp-config', files('logical.conf'),
diff --git a/contrib/test_decoding/specs/invalidation_distrubution.spec b/contrib/test_decoding/specs/invalidation_distribution.spec
similarity index 100%
rename from contrib/test_decoding/specs/invalidation_distrubution.spec
rename to contrib/test_decoding/specs/invalidation_distribution.spec
-- 
2.34.1

